extern bool ToggleShuffle();
extern bool GetShuffle();
extern bool SetShuffle(bool value);

extern int PlaylistDialog();


typedef char SFILENAME[256];

class PLAYLIST
{
protected:
  int NumFiles;
  int CurFile;
  SFILENAME *FileNames;

  int InList(char *filename);

public:
  PLAYLIST() { NumFiles = 0; CurFile = -1; FileNames = NULL; }
  bool Clear();
  bool Add(char *filename);
  bool Remove(char *filename);

  bool Save(char *filename);
  bool Load(char *filename);

  char *GetCurrentSong();
  int GetCurrentIndex();
  bool SetCurrentSong(int song);
  bool Next();
  bool Prev();

  int GetNumFiles();
  SFILENAME *GetValue(int index);
};
